Class UmlBaseAcceptEventAction

Declaration :

- C++ : class UmlBaseAcceptEventAction : public UmlActivityAction
- Java : abstract class UmlBaseAcceptEventAction extends UmlActivityAction

Directly inherited by : UmlAcceptEventAction

Artifact : UmlBaseActivityActionClasses

Operation create

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlAcceptEventAction, exceptions : RuntimeException
- C++ : public: static UmlAcceptEventAction * create(UmlItem * parent, const char * s)
- Java : public static UmlAcceptEventAction create(UmlItem parent, String s) throws RuntimeException

returns a new accept event action named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Operation kind

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation UmlBaseAcceptEventAction

Declaration :

- Uml : # UmlBaseAcceptEventAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseAcceptEventAction(void * id, const QCString & s) : UmlActivityAction(id, s)
- Java : protected UmlBaseAcceptEventAction(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

Operation isUnmarshall

Declaration :

- Uml : + isUnmarshall() : bool
- C++ : public: bool isUnmarshall()
- Java : public boolean isUnmarshall()

return the isUnmarshall attribute, if TRUE there are multiple output pins for attributes or the event.

Operation set_isUnmarshall

Declaration :

- Uml : + set_isUnmarshall(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isUnmarshall(bool v)
- Java : public void set_isUnmarshall(boolean v) throws RuntimeException

set the isUnmarshall attribute
On error return FALSE in C++, produce a RuntimeException in Java

Operation isTimeEvent

Declaration :

- Uml : + isTimeEvent() : bool
- C++ : public: bool isTimeEvent()
- Java : public boolean isTimeEvent()

return the isTimeEvent attribute, if TRUE the event is a time event

Operation set_isTimeEvent

Declaration :

- Uml : + set_isTimeEvent(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isTimeEvent(bool v)
- Java : public void set_isTimeEvent(boolean v) throws RuntimeException

set the isTimeEvent attribute
On error return FALSE in C++, produce a RuntimeException in Java

Operation trigger

Declaration :

- Uml : + trigger() : string
- C++ : public: const QCString & trigger()
- Java : public String trigger()

return the trigger

Operation set_Trigger

Declaration :

- Uml : + set_Trigger(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Trigger(const char * v)
- Java : public void set_Trigger(String v) throws RuntimeException

set the trigger
On error return FALSE in C++, produce a RuntimeException in Java

Operation cppTrigger

Declaration :

- Uml : + cppTrigger() : string
- C++ : public: const QCString & cppTrigger()
- Java : public String cppTrigger()

return the trigger in C++

Operation set_CppTrigger

Declaration :

- Uml : + set_CppTrigger(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppTrigger(const char * v)
- Java : public void set_CppTrigger(String v) throws RuntimeException

set the trigger in C++
On error return FALSE in C++, produce a RuntimeException in Java

Operation javaTrigger

Declaration :

- Uml : + javaTrigger() : string
- C++ : public: const QCString & javaTrigger()
- Java : public String javaTrigger()

return the trigger in Java

Operation set_JavaTrigger

Declaration :

- Uml : + set_JavaTrigger(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaTrigger(const char * v)
- Java : public void set_JavaTrigger(String v) throws RuntimeException

set the trigger in Java
On error return FALSE in C++, produce a RuntimeException in Java

Operation unload

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Attribut _unmarshall

Declaration :

- Uml : - _unmarshall : bool
- C++ : private: bool _unmarshall
- Java : private boolean _unmarshall

Attribut _timeevent

Declaration :

- Uml : - _timeevent : bool
- C++ : private: bool _timeevent
- Java : private boolean _timeevent

Attribut _trigger

Declaration :

- Uml : - _trigger : string
- C++ : private: QCString _trigger
- Java : private String _trigger

Attribut _cpp_trigger

Declaration :

- Uml : - _cpp_trigger : string
- C++ : private: QCString _cpp_trigger
- Java : private String _cpp_trigger

Attribut _java_trigger

Declaration :

- Uml : - _java_trigger : string
- C++ : private: QCString _java_trigger
- Java : private String _java_trigger

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

All public operations : apply , associatedDiagram , children , childrenVisible , cppPostCondition , cppPreCondition , cppTrigger , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isTimeEvent , isToolRunning , isUnmarshall , isWritable , javaPostCondition , javaPreCondition , javaTrigger , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_CppPostCondition , set_CppPreCondition , set_CppTrigger , set_Description , set_isMarked , set_isTimeEvent , set_isUnmarshall , set_JavaPostCondition , set_JavaPreCondition , set_JavaTrigger , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , set_Trigger , stereotype , supportFile , trigger , unload , unload , unload